using Domain.Entities;
using Domain.Generics;

namespace Models.Interfaces
{
    public interface IPhSQuoteRoleRepository
    {
        Task<EQuoteRole> AddAsync(EQuoteRole quoteRole);
        Task DeleteAsync(int id);
        Task<PagedResult<EQuoteRole>> GetAllAsync(int page = 1, int pageSize = 50);
        Task<EQuoteRole?> GetByIdAsync(int id);
        Task UpdateAsync(EQuoteRole quoteRole);
    }
}
